//----------------------------------------------------------------------//
// NyanFi																//
//  O[o(_[N[hΉ)										//
//----------------------------------------------------------------------//
#include "usr_scale.h"
#include "usr_str.h"
#include "usr_msg.h"
#include "GlobalDark.h"

//---------------------------------------------------------------------------
//JAPI
HMODULE hUxTheme = NULL;
FUNC_ShouldAppsUseDarkMode	lpfShouldAppsUseDarkMode  = NULL;
FUNC_AllowDarkModeForWindow	lpfAllowDarkModeForWindow = NULL;
FUNC_AllowDarkModeForApp	lpfAllowDarkModeForApp	  = NULL;
FUNC_FlushMenuThemes		lpfFlushMenuThemes		  = NULL;

//---------------------------------------------------------------------------
bool SupportDarkMode = false;	//_[N[hKp\
bool IsDarkMode 	 = false;	//_[N[hKpĂ
bool AllowDarkMode	 = false;	//_[N[hKp(IvVݒ)

//---------------------------------------------------------------------------
bool SureCancel;				//LZ{^\
bool SureDefNo;					//uvftHg
bool SureAdjPos;				//\ʒu󋵂ɍ킹Ē
bool MsgPosCenter = false;		//Cʂ̒ɕ\

//---------------------------------------------------------------------------
const TColor col_None = Graphics::clNone;

TColor col_bgOptTab;			//ANeBuȐݒ^u̔wiF
TColor col_fgOptTab;			//ANeBuȐݒ^u̕F
TColor col_Invalid;				//ȍڂ̔wiF
TColor col_Illegal;				//sȓ͍ڂ̔wiF

TColor col_DkPanel = col_None;	//_[N[h: pl̔wiF
TColor col_DkInval;				//_[N[h: ȍڂ̔wiF
TColor col_DkIlleg;				//_[N[h: sȓ͍ڂ̔wiF

//---------------------------------------------------------------------------
//VXeF
TColor scl_Window;
TColor scl_WindowText;
TColor scl_Highlight;
TColor scl_HighlightText;
TColor scl_BtnFace;
TColor scl_BtnText;
TColor scl_BtnShadow;
TColor scl_BtnHighlight;
TColor scl_Menu;
TColor scl_MenuText;
TColor scl_MenuSelect;
TColor scl_MenuSelect2;

//_[NF
TColor dcl_Window;
TColor dcl_WindowText;
TColor dcl_Highlight;
TColor dcl_Highlight2;
TColor dcl_HighlightText;
TColor dcl_BtnFace;
TColor dcl_BtnText;
TColor dcl_BtnShadow;
TColor dcl_BtnHighlight;
TColor dcl_Menu;
TColor dcl_MenuText;

TBrush *MenuBrush = NULL;

//---------------------------------------------------------------------------
//nCRgXg?
//---------------------------------------------------------------------------
bool is_HighContrast()
{
	HIGHCONTRAST hc = {sizeof(HIGHCONTRAST)};
	return (::SystemParametersInfo(SPI_GETHIGHCONTRAST, sizeof(HIGHCONTRAST), &hc, 0)
				&& ((hc.dwFlags & HCF_HIGHCONTRASTON)!=0));
}

//---------------------------------------------------------------------------
//VXeF̏
//---------------------------------------------------------------------------
void InitializeSysColor()
{
	scl_Window		  = clWindow;
	scl_WindowText	  = clWindowText;
	scl_Highlight	  = clHighlight;
	scl_HighlightText = clHighlightText;
	scl_BtnFace		  = clBtnFace;
	scl_BtnText		  = clBtnText;
	scl_BtnShadow	  = clBtnShadow;
	scl_BtnHighlight  = clBtnHighlight;
	scl_Menu		  = clMenu;
	scl_MenuText	  = clMenuText;
	scl_MenuSelect	  =	TColor(RGB(0x91,0xc9,0xf7));
	scl_MenuSelect2	  =	TColor(RGB(0x56,0xb0,0xfa));

	dcl_Window		  = TColor(RGB(0x20, 0x20, 0x20));
	dcl_WindowText	  = clWhite;
	dcl_Highlight	  = TColor(RGB(0x41, 0x41, 0x41));
	dcl_Highlight2	  = TColor(RGB(0x77, 0x77, 0x77));
	dcl_HighlightText = clWhite;
	dcl_BtnFace 	  = TColor(RGB(0x33, 0x33, 0x33));
	dcl_BtnText 	  = clWhite;
	dcl_BtnShadow	  = TColor(RGB(0x40, 0x40, 0x40));
	dcl_BtnHighlight  = TColor(RGB(0x80, 0x80, 0x80));
	dcl_Menu		  = TColor(RGB(0x2b, 0x2b, 0x2b));
	dcl_MenuText	  = clWhite;
}

//---------------------------------------------------------------------------
void InitializeDarkMode(
	bool kill_sw)	//Kp֎~ (default = false)
{
	//_[N[h
	if (!kill_sw && CheckWin32Version(10) && TOSVersion::Build >= 17763 && !is_HighContrast()) {
		hUxTheme = ::LoadLibrary(_T("uxtheme.dll"));
		if (hUxTheme) {
			lpfShouldAppsUseDarkMode  = (FUNC_ShouldAppsUseDarkMode)::GetProcAddress(hUxTheme, MAKEINTRESOURCEA(132));
			lpfAllowDarkModeForWindow = (FUNC_AllowDarkModeForWindow)::GetProcAddress(hUxTheme, MAKEINTRESOURCEA(133));
			lpfAllowDarkModeForApp	  = (FUNC_AllowDarkModeForApp)::GetProcAddress(hUxTheme, MAKEINTRESOURCEA(135));
			lpfFlushMenuThemes		  = (FUNC_FlushMenuThemes)::GetProcAddress(hUxTheme, MAKEINTRESOURCEA(136));
			SupportDarkMode = (lpfShouldAppsUseDarkMode && lpfAllowDarkModeForWindow
								&& lpfAllowDarkModeForApp && lpfFlushMenuThemes);
		}
	}

	InitializeSysColor();

	MenuBrush = new TBrush();
}
//---------------------------------------------------------------------------
void EndDarkMode()
{
	if (hUxTheme) ::FreeLibrary(hUxTheme);

	delete MenuBrush;
}

//---------------------------------------------------------------------------
//_[N[hKp
//---------------------------------------------------------------------------
bool ApplyDarkMode(HWND hWnd)
{
	IsDarkMode = false;
	if (SupportDarkMode && lpfShouldAppsUseDarkMode()) {
		lpfAllowDarkModeForApp(AllowDarkMode);
		lpfFlushMenuThemes();
		IsDarkMode = AllowDarkMode;

		if (!hWnd) hWnd = Application->MainForm->Handle;
		if (hWnd) {
			::SetWindowTheme(hWnd, IsDarkMode? _T("DarkMode_Explorer") : NULL, NULL);
			BOOL is_dk = IsDarkMode;
			::DwmSetWindowAttribute(hWnd, DWMWA_USE_IMMERSIVE_DARK_MODE, &is_dk, sizeof(is_dk));
		}
	}

	return IsDarkMode;
}

//---------------------------------------------------------------------------
//_[N[hlF̎擾
//---------------------------------------------------------------------------
TColor get_WinColor(
	bool is_inv)	//ȍ	(default = false)
{
	return is_inv? (IsDarkMode? col_DkInval : col_Invalid) : (IsDarkMode? dcl_Window : scl_Window);
}
//---------------------------------------------------------------------------
TColor get_TextColor(
	bool hl)	//nCCg	(default = false)
{
	return hl? (IsDarkMode? dcl_HighlightText : scl_HighlightText) : (IsDarkMode? dcl_WindowText : scl_WindowText);
}
//---------------------------------------------------------------------------
TColor get_PanelColor(
	bool is_inv)	//ȍ	(default = false)
{
	if (is_inv) return (IsDarkMode? col_DkInval : col_Invalid);
	return (IsDarkMode? ((col_DkPanel!=col_None)? col_DkPanel : dcl_BtnFace) : scl_BtnFace);
}
//---------------------------------------------------------------------------
TColor get_LabelColor()
{
	return (IsDarkMode? dcl_BtnText : scl_BtnText);
}

//---------------------------------------------------------------------------
//j[wi̐ݒ
//---------------------------------------------------------------------------
void SetMenuBgColor(HMENU hMenu)
{
	MenuBrush->Color = IsDarkMode? dcl_Menu : scl_Menu;
	MENUINFO mi = {sizeof(MENUINFO)};
	mi.fMask	= MIM_BACKGROUND|MIM_APPLYTOSUBMENUS;
	mi.hbrBack	= MenuBrush->Handle;
	::SetMenuInfo(hMenu, &mi);
}

//---------------------------------------------------------------------------
//nCCgF̐ݒ
//---------------------------------------------------------------------------
void SetHighlight(TCanvas *cv, bool hl)
{
	if (IsDarkMode) {
		cv->Brush->Color = hl? dcl_Highlight : dcl_Window;
		cv->Font->Color  = hl? dcl_HighlightText : dcl_WindowText;
	}
	else {
		cv->Brush->Color = hl? scl_Highlight : scl_Window;
		cv->Font->Color  = hl? scl_HighlightText : scl_WindowText;
	}
}

//---------------------------------------------------------------------------
//Rg[Ƀ_[N[hKp
//---------------------------------------------------------------------------
void SetDarkWinTheme(
	TWinControl *wp,	//Rg[
	bool std_col)		//Xg{bNXȂǂŕWFgp	(default = false)
{
	if (!wp) return;
	if (wp->ClassNameIs("TStatusBar")) return;

	if (wp->ClassNameIs("TTabSheet")) {
		TTabSheet *tp = (TTabSheet *)wp;
		if (!tp->TabVisible) return;
	}

	TColor bg_panel = get_PanelColor();
	TColor fg_label = get_LabelColor();
	TColor bg_win	= get_WinColor();
	TColor fg_txt   = get_TextColor();

	if (wp->InheritsFrom(__classid(TForm))) {
		TForm *fp = (TForm*)wp;
		GetScaledFont(fp->Font, Application->DefaultFont, wp);

		::SetWindowTheme(wp->Handle, IsDarkMode? _T("DarkMode_Explorer") : NULL, NULL);
		BOOL is_dk = IsDarkMode;
		::DwmSetWindowAttribute(wp->Handle, DWMWA_USE_IMMERSIVE_DARK_MODE, &is_dk, sizeof(is_dk));

		fp->Color = bg_panel;
		for (int i=0; i<fp->ControlCount; i++) {
			TControl *cp = wp->Controls[i];
			if (cp->ClassNameIs("TLabel")) {
				TLabel *lp = (TLabel *)cp;
				lp->Font->Color = fg_label;
				lp->Color		= bg_panel;
			}
			else if (cp->InheritsFrom(__classid(TWinControl))) {
				SetDarkWinTheme((TWinControl *)cp, std_col);
			}
		}
	}
	else if (wp->ClassNameIs("TPageControl")) {
		TPageControl *pp = (TPageControl *)wp;
		pp->StyleElements >> seClient;
		for (int i=0; i<pp->PageCount; i++) SetDarkWinTheme(pp->Pages[i], std_col);
	}
	else if (wp->ClassNameIs("TPanel") || wp->ClassNameIs("TTabSheet")
		|| wp->ClassNameIs("TGroupBox") || wp->ClassNameIs("TRadioGroup")
		|| wp->ClassNameIs("TTabControl") || wp->ClassNameIs("TToolBar"))
	{
		if (wp->ClassNameIs("TPanel")) {
			TPanel *pp = (TPanel *)wp;
			pp->StyleElements.Clear();
			pp->Font->Color = fg_label;
			pp->Color		= bg_panel;
		}
		else if (wp->ClassNameIs("TGroupBox") || wp->ClassNameIs("TRadioGroup")) {
			AttachLabelToGroup(wp);
		}

		//WI{^EO[v
		if (wp->ClassNameIs("TRadioGroup")) {
			if (IsDarkMode) {
				TRadioGroup *gp = (TRadioGroup *)wp;
				for (int i=0; i<gp->Items->Count; i++) {
					if (!gp->Items->Strings[i].IsEmpty()) {
						//{^̃LvVxɒu
						TRadioButton *cp = gp->Buttons[i];
						TLabel *lp = new TLabel(cp->Parent);
						lp->Tag		= (18 << 16) + cp->Width - 8;	//}[Np ***
						lp->Parent	= cp->Parent;
						lp->Color		= bg_panel;
						lp->Font->Color = fg_label;
						lp->Caption = cp->Caption;
						cp->Caption = EmptyStr;
						lp->Left	= cp->Left + ScaledInt(16, wp);
						lp->Top 	= cp->Top + (cp->Height - lp->Height)/2;
						gp->Items->Strings[i] = EmptyStr;
						cp->Caption = EmptyStr;
						lp->BringToFront();
					}
				}
			}

			for (int i=0; i<wp->ControlCount; i++) {
				TControl *cp = wp->Controls[i];
				if (cp->ClassNameIs("TLabel")) {
					TLabel *lp = (TLabel *)cp;
					lp->Font->Color = fg_label;
					lp->Color		= bg_panel;
				}
			}
		}
		//̑
		else {
			for (int i=0; i<wp->ControlCount; i++) {
				TControl *cp = wp->Controls[i];
				if (cp->ClassNameIs("TLabel")) {
					TLabel *lp = (TLabel *)cp;
					lp->Font->Color = fg_label;
					lp->Color		= bg_panel;
				}
				else if (cp->InheritsFrom(__classid(TWinControl))) {
					SetDarkWinTheme((TWinControl *)cp, std_col);
				}
			}
		}
	}
	//ȉ͒PƂ̎qRg[
	else if (wp->ClassNameIs("TEdit")) {
		TEdit *ep = (TEdit *)wp;
		ep->Font->Color = fg_txt;
		ep->Color		= bg_win;
	}
	else if (wp->ClassNameIs("TLabeledEdit")) {
		TLabeledEdit *ep = (TLabeledEdit *)wp;
		ep->Font->Color = fg_txt;
		ep->Color		= bg_win;
		ep->EditLabel->Font->Color = fg_label;
	}
	else if (wp->ClassNameIs("TMaskEdit")) {
		TMaskEdit *ep = (TMaskEdit *)wp;
		ep->Font->Color = fg_txt;
		ep->Color		= bg_win;
	}
	else if (wp->ClassNameIs("TMemo")) {
		::SetWindowTheme(wp->Handle, IsDarkMode? _T("DarkMode_Explorer") : NULL, NULL);
	}
	else if (wp->ClassNameIs("TComboBox")) {
		TComboBox *cp = (TComboBox *)wp;
		UnicodeString s = cp->Text;
		::SetWindowTheme(wp->Handle, IsDarkMode? _T("DarkMode_CFD") : NULL, NULL);
		cp->Font->Color = fg_txt;
		cp->Color		= bg_win;
		cp->Text		= s;
	}
	else if (wp->ClassNameIs("TCheckBox")) {
		if (IsDarkMode) {
			TCheckBox *cp = (TCheckBox *)wp;
			if (!cp->Caption.IsEmpty()) {
				//LvVxɒu
				TLabel *lp = new TLabel(cp->Parent);
				lp->Tag		= (cp->Height << 16) + cp->Width;	//}[Np
				lp->Parent	= cp->Parent;
				lp->Font->Color = fg_label;
				lp->Color	= bg_panel;
				lp->Caption = cp->Caption;
				lp->Anchors = cp->Anchors;
				lp->Left	= cp->Left + ScaledInt(16, wp);
				lp->Top 	= cp->Top;
				cp->Caption = EmptyStr;
				lp->BringToFront();
			}
		}
	}
	else if (wp->ClassNameIs("TRadioButton")) {
		if (IsDarkMode) {
			TRadioButton *cp = (TRadioButton *)wp;
			if (!cp->Caption.IsEmpty()) {
				//LvVxɒu
				TLabel *lp = new TLabel(cp->Parent);
				lp->Tag		= (cp->Height << 16) + cp->Width;	//}[Np
				lp->Parent	= cp->Parent;
				lp->Font->Color = fg_label;
				lp->Color		= bg_panel;
				lp->Caption = cp->Caption;
				lp->Left	= cp->Left + ScaledInt(16, wp);
				lp->Top 	= cp->Top;
				cp->Caption = EmptyStr;
				lp->BringToFront();
			}
		}
	}
	else if (wp->ClassNameIs("TColorBox")) {
		TColorBox *cp = (TColorBox *)wp;
		::SetWindowTheme(wp->Handle, IsDarkMode? _T("DarkMode_CFD") : NULL, NULL);
		cp->Font->Color = fg_txt;
		cp->Color		= bg_win;
	}
	else {
		::SetWindowTheme(wp->Handle, IsDarkMode? _T("DarkMode_Explorer") : NULL, NULL);
		if (std_col) {
			if		(wp->ClassNameIs("TListBox"))		((TListBox *)wp)->Color 	 = bg_win;
			else if (wp->ClassNameIs("TCheckListBox"))	((TCheckListBox *)wp)->Color = bg_win;
		}
	}
}

//---------------------------------------------------------------------------
//TGroupBox/TRadioGroup ɃLvV^\p̃xǉ
//---------------------------------------------------------------------------
TLabel* AttachLabelToGroup(
	TWinControl *wp,
	UnicodeString s)	//LvV	(default = EmptyStr)
{
	TLabel *ret_p = NULL;

	TWinControl *parent;
	UnicodeString cap_str;
	int s_1 = ScaledInt(1, wp);
	int s_8 = ScaledInt(8, wp);
	int xp, yp;

	if (wp->ClassNameIs("TGroupBox")) {
		TGroupBox *gp = (TGroupBox *)wp;
		parent = gp->Parent;
		xp = gp->Left + s_8;
		yp = gp->Top - s_1;
		gp->Color		= get_PanelColor();
		gp->Font->Color = get_LabelColor();
		if (s.IsEmpty()) s = gp->Caption;
		if (!gp->Caption.IsEmpty()) gp->Caption = " ";
	}
	else if (wp->ClassNameIs("TRadioGroup")) {
		TRadioGroup *gp = (TRadioGroup *)wp;
		parent = gp->Parent;
		xp = gp->Left + s_8;
		yp = gp->Top - s_1;
		gp->Color		= get_PanelColor();
		gp->Font->Color = get_LabelColor();
		if (s.IsEmpty()) s = gp->Caption;
		if (!gp->Caption.IsEmpty()) gp->Caption = " ";
	}
	else {
		return NULL;
	}

	if (!Trim(s).IsEmpty()) {
		ret_p		= new TLabel(parent);
		TPanel *pp	= new TPanel(parent);
		pp->Parent	= parent;
		ret_p->Parent	   = pp;
		ret_p->Font->Color = get_LabelColor();
		ret_p->Color	   = get_PanelColor();
		pp->Left		   = xp;
		pp->Top 		   = yp;
		pp->Color		   = get_PanelColor();
		pp->Caption 	   = EmptyStr;
		pp->BorderWidth    = 1;
		pp->BevelOuter	   = bvNone;
		pp->StyleElements.Clear();
		ret_p->Caption	   = s;
		pp->AutoSize	   = true;
		pp->BringToFront();
	}

	return ret_p;
}

//---------------------------------------------------------------------------
//G[bZ[W
//---------------------------------------------------------------------------
void msgbox_ERR(UnicodeString msg)
{
	if (msg.IsEmpty()) return;

	Screen->MessageFont->Assign(Application->DefaultFont);
	TForm *MsgDlg = CreateMessageDialog(msg, mtError, TMsgDlgButtons() << mbOK, mbOK);
	SetDarkWinTheme(MsgDlg);
	MsgDlg->ShowModal();
	delete MsgDlg;
}
//---------------------------------------------------------------------------
void msgbox_ERR(unsigned id)
{
	msgbox_ERR(LoadUsrMsg(id));
}

//---------------------------------------------------------------------------
//xbZ[W
//---------------------------------------------------------------------------
void msgbox_WARN(UnicodeString msg)
{
	if (msg.IsEmpty()) return;

	Screen->MessageFont->Assign(Application->DefaultFont);
	TForm *MsgDlg = CreateMessageDialog(msg, mtWarning, TMsgDlgButtons() << mbOK, mbOK);
	SetDarkWinTheme(MsgDlg);
	MsgDlg->ShowModal();
	delete MsgDlg;
}
//---------------------------------------------------------------------------
void msgbox_WARN(unsigned id)
{
	msgbox_WARN(LoadUsrMsg(id));
}

//---------------------------------------------------------------------------
//mFbZ[W
//---------------------------------------------------------------------------
void msgbox_OK(UnicodeString msg, UnicodeString tit)
{
	Screen->MessageFont->Assign(Application->DefaultFont);
	TForm *MsgDlg = CreateMessageDialog(msg, mtConfirmation, TMsgDlgButtons() << mbOK, mbOK);
	SetDarkWinTheme(MsgDlg);
	if (!tit.IsEmpty()) MsgDlg->Caption = tit;
	MsgDlg->ShowModal();
	delete MsgDlg;
}
//---------------------------------------------------------------------------
bool msgbox_Y_N(UnicodeString msg, UnicodeString tit)
{
	Screen->MessageFont->Assign(Application->DefaultFont);
	TMsgDlgButtons opt = TMsgDlgButtons() << mbYes << mbNo;
	TForm *MsgDlg = CreateMessageDialog(msg, mtConfirmation, opt, SureDefNo? mbNo : mbYes);
	SetDarkWinTheme(MsgDlg);
	if (!tit.IsEmpty()) MsgDlg->Caption = tit;
	int res = MsgDlg->ShowModal();
	delete MsgDlg;
	return (res==mrYes);
}
//---------------------------------------------------------------------------
TModalResult msgbox_Y_N_C(UnicodeString msg, UnicodeString tit)
{
	Screen->MessageFont->Assign(Application->DefaultFont);
	TMsgDlgButtons opt = TMsgDlgButtons() << mbYes << mbNo << mbCancel;
	TForm *MsgDlg = CreateMessageDialog(msg, mtConfirmation, opt, SureDefNo? mbNo : mbYes);
	SetDarkWinTheme(MsgDlg);
	if (!tit.IsEmpty()) MsgDlg->Caption = tit;
	TModalResult res = MsgDlg->ShowModal();
	delete MsgDlg;
	return res;
}
//---------------------------------------------------------------------------
TModalResult msgbox_Retry(UnicodeString msg, UnicodeString tit)
{
	Screen->MessageFont->Assign(Application->DefaultFont);
	TMsgDlgButtons opt = TMsgDlgButtons() << mbRetry  << mbCancel;
	TForm *MsgDlg = CreateMessageDialog(msg, mtError, opt, mbRetry);
	SetDarkWinTheme(MsgDlg);
	if (!tit.IsEmpty()) MsgDlg->Caption = tit;
	TModalResult res = MsgDlg->ShowModal();
	delete MsgDlg;
	return res;
}

//---------------------------------------------------------------------------
bool msgbox_Sure(UnicodeString msg, bool ask, bool center)
{
	if (!ask) return true;

	Screen->MessageFont->Assign(Application->DefaultFont);
	TMsgDlgButtons opt = TMsgDlgButtons() << mbYes << mbNo;
	if (SureCancel) opt << mbCancel;
	TForm *MsgDlg = CreateMessageDialog(msg, mtConfirmation, opt, SureDefNo? mbNo : mbYes);
	SetDarkWinTheme(MsgDlg);

	MsgPosCenter = center;
	int res = MsgDlg->ShowModal();
	MsgPosCenter = false;
	delete MsgDlg;

	return (res==mrYes);
}
//---------------------------------------------------------------------------
bool msgbox_Sure(const _TCHAR *msg, bool ask, bool center)
{
	return msgbox_Sure(UnicodeString(msg), ask, center);
}
//---------------------------------------------------------------------------
bool msgbox_Sure(unsigned id, bool ask, bool center)
{
	return msgbox_Sure(LoadUsrMsg(id), ask, center);
}

//---------------------------------------------------------------------------
//uׂĂɓKpv`FbN{bNXtmFbZ[W
//---------------------------------------------------------------------------
int msgbox_SureAll(UnicodeString msg, bool &app_chk, bool center)
{
	Screen->MessageFont->Assign(Application->DefaultFont);
	TForm *MsgDlg = CreateMessageDialog(msg, mtConfirmation,
						TMsgDlgButtons() << mbYes << mbNo << mbCancel,
						SureDefNo? mbNo : mbYes);

	//uׂĂɓKpv`FbN{bNXǉ
	TCheckBox *cp = new TCheckBox(MsgDlg);
	MsgDlg->ClientHeight = MsgDlg->ClientHeight + cp->Height + 12;
	SetDarkWinTheme(MsgDlg);

	cp->Caption = "ׂĂɓKp(&A)";
	cp->Parent	= MsgDlg;
	cp->Left	= 20;
	cp->Top		= MsgDlg->ClientHeight - cp->Height - 12;
	cp->Width	= MsgDlg->ClientWidth - cp->Left;
	if (IsDarkMode) {
		TLabel *lp	= new TLabel(MsgDlg);
		TPanel *pp	= new TPanel(MsgDlg);
		pp->Parent	= MsgDlg;
		lp->Font->Assign(MsgDlg->Font);
		lp->Color		= get_PanelColor();
		lp->Font->Color = get_LabelColor();
		pp->Left		= cp->Left + 14;
		pp->Top 		= cp->Top  - 2;
		pp->Color		= get_PanelColor();
		pp->Caption 	= EmptyStr;
		pp->BorderWidth = 2;
		pp->BevelOuter	= bvNone;
		pp->StyleElements.Clear();
		lp->Caption 	= cp->Caption;
		lp->Parent		= pp;
		pp->AutoSize	= true;
		pp->BringToFront();
	}

	MsgPosCenter = center;
	int res = MsgDlg->ShowModal();
	MsgPosCenter = false;

	app_chk = cp->Checked;
	delete MsgDlg;

	return res;
}

//---------------------------------------------------------------------------
//\[g}[N`
//---------------------------------------------------------------------------
void draw_SortMark(TCanvas *cv, int x, int y,
	bool is_asc,	//
	TColor fg)		//}[NF
{
	TPoint mrk[3];
	int s_3 = ScaledInt(3);
	int s_6 = s_3 * 2;
	//
	if (is_asc) {
		mrk[0] = Point(x,	    y + s_3);
		mrk[1] = Point(x + s_6, y + s_3);
		mrk[2] = Point(x + s_3, y);
	}
	//
	else {
		mrk[0] = Point(x,	    y);
		mrk[1] = Point(x + s_6, y);
		mrk[2] = Point(x + s_3, y + s_3);
	}
	cv->Pen->Style   = psSolid;
	cv->Pen->Color	 = fg;
	cv->Brush->Style = bsSolid;
	cv->Brush->Color = fg;
	cv->Polygon(mrk, 2);
}

//---------------------------------------------------------------------------
//{^Ƀ}[Nݒ
//---------------------------------------------------------------------------
void draw_ScaledLine(TCanvas *cv, UnicodeString cmds)
{
	TStringDynArray cmdlst = split_strings_semicolon(cmds);
	for (int i=0; i<cmdlst.Length; i++) {
        UnicodeString s = cmdlst[i];
        if (s.IsEmpty()) continue;
   		WideChar c = split_top_wch(s);
        int p0 = ScaledInt(get_tkn(s, ",").ToIntDef(0));
        int p1 = ScaledInt(get_tkn_r(s, ",").ToIntDef(0));
        switch (c) {
        case 'W': cv->Pen->Width = p0;  break;
        case 'M': cv->MoveTo(p0, p1);   break;
        case 'L': cv->LineTo(p0, p1);   break;
        }
    }
}
//---------------------------------------------------------------------------
void set_ButtonMark(TSpeedButton *bp,
	int id,		//ʎq	(default = UBMK_DOWN)
	TColor fg,	//OiF	(default = col_BtnText)
	TColor bg)	//wiF	(default = col_BtnFace)
{
	int size;
	switch (id) {
	case UBMK_HTOP: case UBMK_HEND: case UBMK_LEFT: case UBMK_RIGHT:
		size = 16;	break;
	default:
		size = 9;
	}
	size = ScaledInt(size, bp);

	if ((bp->Align==alNone || bp->Align==alTop || bp->Align==alBottom) && bp->Height<size) bp->Height = size;
	if ((bp->Align==alNone || bp->Align==alLeft || bp->Align==alRight) && bp->Width<size)  bp->Width  = size;

	Graphics::TBitmap *bmp = bp->Glyph;
	TCanvas *cv = bmp->Canvas;
	bmp->SetSize(size, size);
	bmp->Transparent = true;
	cv->Brush->Color = bg;
	cv->FillRect(TRect(0, 0, size, size));
	cv->Pen->Style = psSolid;
	cv->Pen->Color = fg;

	switch (id) {
	case UBMK_UP:	 draw_SortMark(cv, 0, 2, true,  fg);	break;
	case UBMK_DOWN:	 draw_SortMark(cv, 0, 2, false, fg);	break;
	case UBMK_BUP:	 draw_ScaledLine(cv, "W2;M1,5;L4,2;M7,5;L4,2");	break;
	case UBMK_BDOWN: draw_ScaledLine(cv, "W2;M1,2;L4,5;M7,2;L4,5");	break;
	case UBMK_VUP:	 draw_ScaledLine(cv, "W2;M1,7;L4,4;M7,7;L4,4");	break;
	case UBMK_VDOWN: draw_ScaledLine(cv, "W2;M1,2;L4,5;M7,2;L4,5");	break;
	case UBMK_VTOP:	 draw_ScaledLine(cv, "W1;M0,2;L9,2;M0,3;L9,3;W2;M1,7;L4,4;M7,7;L4,4");	break;
	case UBMK_VEND:	 draw_ScaledLine(cv, "W1;M0,7;L9,7;M0,6;L9,6;W2;M1,2;L4,5;M7,2;L4,5");	break;
	case UBMK_HTOP:	 draw_ScaledLine(cv, "W1;M4,1;L4,14;W2;M6,7;L11,2;M6,7;L11,12");		break;
	case UBMK_HEND:	 draw_ScaledLine(cv, "W1;M11,1;L11,14;W2;M9,7;L4,2;M9,7;L4,12");		break;
	case UBMK_LEFT:	 draw_ScaledLine(cv, "W2;M6,7;L11,2;M6,7;L11,12");	break;
	case UBMK_RIGHT: draw_ScaledLine(cv, "W2;M9,7;L4,2;M9,7;L4,12");	break;
	}
}
//---------------------------------------------------------------------------
void set_BtnMarkDark(TSpeedButton *bp, int id)
{
	set_ButtonMark(bp, id, (IsDarkMode? dcl_BtnText : scl_BtnText), get_PanelColor());
}

//---------------------------------------------------------------------------
//{^ɃeLXgݒ
//---------------------------------------------------------------------------
void set_BtnTextDark(TSpeedButton *bp, UnicodeString s)
{
	bp->Caption = EmptyStr;
	Graphics::TBitmap *bmp = bp->Glyph;
	TCanvas *cv = bmp->Canvas;
	bmp->SetSize(bp->ClientWidth, bp->ClientHeight);
	bmp->Transparent = true;
	cv->Brush->Color = get_PanelColor();
	cv->FillRect(bp->ClientRect);
	cv->Font->Assign(bp->Font);
	cv->Font->Color = (IsDarkMode? dcl_BtnText : scl_BtnText);
	cv->TextOut((bp->ClientWidth - cv->TextWidth(s))/2, (bp->ClientHeight - cv->TextHeight(s))/2, s);
}

//---------------------------------------------------------------------------
//^u̕`
//---------------------------------------------------------------------------
void draw_OwnerTab(TCustomTabControl *Control, int idx, const TRect rc, bool active,
	bool dark_sw)	//_[N[hKp		(default = false)
{
	TTabControl *tp = (TTabControl*)Control;
	TCanvas *cv = tp->Canvas;
	//wi
	cv->Brush->Color = active? col_bgOptTab : get_PanelColor();
	cv->FillRect(rc);
	//
	UnicodeString titstr = tp->Tabs->Strings[idx];
	cv->Font->Color = active? col_fgOptTab : get_LabelColor();
	cv->Font->Style = active? (cv->Font->Style << fsBold) : (cv->Font->Style >> fsBold);
	TRect tt_rc = rc;
	tt_rc.Left	= rc.Left + (rc.Width() - cv->TextWidth(ReplaceStr(titstr, "&", EmptyStr)))/2;
	tt_rc.Top	= (tp->TabPosition==tpBottom)? rc.Bottom - cv->TextHeight(titstr) - 4 : rc.Top + (active? 4 : 2);
	::DrawText(cv->Handle, titstr.c_str(), -1, &tt_rc, DT_LEFT);
}

//---------------------------------------------------------------------------
//j[Zp[^̕`
//---------------------------------------------------------------------------
void draw_MenuSeparator(TCanvas *cv, TRect rc)
{
	int yp = rc.Top + rc.Height()/2;
	int x0 = rc.Left + get_SysMetricsForPPI(SM_CYMENU, GetCurPPI()) + ScaledInt(4);
	int x1 = rc.Right;
	cv->Pen->Style = psSolid;
	cv->Pen->Mode  = pmCopy;
	cv->Pen->Width = 1;
	cv->Pen->Color = TColor(IsDarkMode? RGB(0x80, 0x80, 0x80) : RGB(0xd7, 0xd7, 0xd7));
	cv->MoveTo(x0, yp);  cv->LineTo(x1, yp);
}

//---------------------------------------------------------------------------
//ȉ͋[IRg[̃ANZ[^ɗp
//---------------------------------------------------------------------------
//TRadioGroup ɃtH[JX
//---------------------------------------------------------------------------
bool set_focus_RadioGroup(
	TRadioGroup *gp,
	int idx)			//CfbNX	(default = -1 : w)
{
	if (!gp->Parent->Visible || !gp->Parent->Enabled || !gp->Visible || !gp->Enabled) return false;

	if (idx!=-1) gp->ItemIndex = idx;
	if (gp->ItemIndex==-1) return false;

	gp->Buttons[gp->ItemIndex]->SetFocus();
	return true;
}
//---------------------------------------------------------------------------
//TGroupBox ɃtH[JX
//---------------------------------------------------------------------------
bool set_focus_GroupBox(TGroupBox *gp)
{
	if (!gp->Parent->Visible || !gp->Parent->Enabled || !gp->Visible || !gp->Enabled) return false;

	TWinControl *top_wp = NULL;
	for (int i=0; i<gp->ControlCount; i++) {
		TControl *cp = gp->Controls[i];
		if (!cp->InheritsFrom(__classid(TWinControl))) continue;
		TWinControl *wp = (TWinControl *)cp;
		if (!top_wp)
			top_wp = wp;
		else if (wp->TabOrder < top_wp->TabOrder)
			top_wp = wp;
	}

	if (!top_wp || !top_wp->Visible || !top_wp->Enabled) return false;

	if (top_wp->ClassNameIs("TRadioGroup")) {
		set_focus_RadioGroup((TRadioGroup *)top_wp);
	}
	else {
		top_wp->SetFocus();
	}
	return true;
}
//---------------------------------------------------------------------------
//`FbN{bNX̔]
//---------------------------------------------------------------------------
void invert_CheckBox(TCheckBox *cp)
{
	if (cp->Parent->Visible && cp->Parent->Enabled
		&& cp->Visible && cp->Enabled && cp->Caption.IsEmpty())
	{
		cp->SetFocus();
		cp->Checked = !cp->Checked;
	}
}
//---------------------------------------------------------------------------
